import { Component, Input, OnInit } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { HttpClient } from '@angular/common/http';
import { SinglePost } from '../models/post'
import * as vars from '../var/api'

@Component({
  selector: 'app-boards',
  templateUrl: `./boards.component.html`,
  styleUrls: [`./boards.component.css`]
})
export class BoardsComponent implements OnInit {
  command: string = "";
  response: any;
  postsToShow: SinglePost[] = []
  boardName:string = 'b';
  displayed_thread_number = vars.displayed_thread;

  constructor(public apiChatService: ApiChatService) {

  }

  refreshPosts(boardName: string , threadId:number) {
    this.apiChatService.getPosts(boardName, threadId).subscribe(response => {
      this.postsToShow = response
      vars.setDisplayedThread(this.displayed_thread_number);
    })
  }

  ngOnInit(): void {
    this.apiChatService.getPosts('postgres', vars.displayed_thread).subscribe(response => {
    this.postsToShow = response
    })
  }


}

